Bug 995522 - dashboard builder should inherit all it's dependency versions from kie-parent-with-dependencies
dashboard builder should inherit all it's dependency versions from kie-parent...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Roger Martínez
Ivo Bek
:
Depends On:
Blocks: 989519
  Show dependency treegraph
 
Reported: 2013-08-09 11:28 EDT by Geoffrey De Smet
Modified: 2014-08-06 16:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Hardcoded dependency versions in dashbuilder artifacts. Consequence: Fix: Add dashboard-builder-bom parent artifact into kie-parent project and remove all versions from dashbuilder artifacts in the whole dashboard-builder project. Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-08-09 11:28:48 EDT
Requirements:
A) Any pom.xml file in droolsjbpm should not declare <version>, except for kie-dependency-with-dependencies. This way, all droolsjbpm modules work with the same version of a dependency and are certain to be compatible.
B) All dependencies that are also a dependency of EAP must use the same version EAP.

dashboard-builder still has about 80 <version> elements specified in it's pom.xml files. This has 3 disadvantages:
- It might use a different version of that dependency then the rest of droolsjbpm
- It won't be extracted to the jboss-integration-platform-bom
- Productization can't easily verify if it's aligned with the rest which they are building.

Recommended steps for jbpm-designer-backend:
1) Remove all dead dependencies first (probably none)
2) Make a list of all dependencies that are not yet specified in kie-dependency-with-dependencies. Add them to kie-dependency-with-dependencies.
3) Compare that list with EAP's dependencies. If EAP uses a different version, specify the EAP version in kie-dependency-with-dependencies.
4) Remove all <version> elements (except to identify the <parent> pom) in the pom.xml files


Skype ge0ffrey for additional info and to discuss.
Comment 2 Roger Martínez 2013-09-30 10:47:36 EDT
- Added dashboard-builder BOM into droolsjbpm-build-bootstrap project and removed all dependency version from all dashbuilder artifacts.

- Downgraded maven-license-plugin from 1.9.0 to version 1.8.0, as kie-parent uses. No impact detected.

- Added version management into kie-parent-with-dependencies for:
  - org.eclipse.jetty:jetty-server
  - org.eclipse.jetty:jetty-util

Note You need to log in before you can comment on or make changes to this bug.